# Never share this file publicly. It contains sensitive information.
# This file is used to configure various applications and services.
# Generated by Changemaker Config Wizard on Sun 11 May 2025 10:05:17 PM MDT

# Domain Configuration
DOMAIN=test.com
BASE_DOMAIN=https://test.com

# Listmonk Configuration
LISTMONK_ADMIN_USER=admin
LISTMONK_ADMIN_PASSWORD=@thebunker
LISTMONK_PORT=9000
LISTMONK_HOSTNAME=listmonk.test.com

# Database Credentials
POSTGRES_USER=listmonk
POSTGRES_PASSWORD=7Cl6OUA6KrJ1fQ0l/ZwJ
POSTGRES_DB=listmonk

# Monica CRM Configuration
MONICA_APP_KEY=base64:MHdHU1ovVGtVV3BDUHdqNXNudXZaa1AzdzB5Y1luTTQ=
MONICA_DB_USERNAME=monica
MONICA_DB_PASSWORD=PERGF5DgEJgdxxKg5OmR
MONICA_MYSQL_DATABASE=monica
MONICA_MYSQL_USER=monica
MONICA_MYSQL_PASSWORD=PERGF5DgEJgdxxKg5OmR

# MkDocs Configuration
USER_ID=1000
GROUP_ID=1000
MKDOCS_PORT=4000

# Flatnotes Configuration
FLATNOTES_PUID=1000
FLATNOTES_PGID=1000
FLATNOTES_AUTH_TYPE=password
FLATNOTES_USERNAME=admin
FLATNOTES_PASSWORD=@thebunker
FLATNOTES_SECRET_KEY=TA2QZssp/Q+36YGIlkYdqkK9R682wCfc
FLATNOTES_PORT=8089

# Gitea Configuration
GITEA_DB_TYPE=mysql
GITEA_DB_HOST=gitea-db:3306
GITEA_DB_NAME=gitea
GITEA_DB_USER=gitea
GITEA_DB_PASSWD=mdBJ8OKtHQLnbsrrKHOcabfq
GITEA_DB_ROOT_PASSWORD=MB7m9n5koGR51eSKckQzI0jh
GITEA_WEB_PORT=3030
GITEA_SSH_PORT=2225
GITEA_ROOT_URL=https://gitea.test.com
GITEA_DOMAIN=gitea.test.com

# Apache Answer Configuration
ANSWER_APP_PORT=9080

# Excalidraw Configuration
EXCALIDRAW_PORT=3333
EXCALIDRAW_LIBRARY_URL=https://libraries.excalidraw.com
EXCALIDRAW_LIBRARY_BACKEND=https://us-central1-excalidraw-room-persistence.cloudfunctions.net/libraries # do not alter this URL
EXCALIDRAW_PUBLIC_URL=https://excalidraw.test.com
EXCALIDRAW_PUBLIC_SOCKET_URL=https://excalidraw.test.com

# Code Server Configuration
CODE_SERVER_PORT=8888
USER_NAME=coder

# Cloudflare Credentials
CF_AUTH_EMAIL=admin@thebunkerops.ca
CF_API_TOKEN=redacted
CF_ZONE_ID=redacted
CF_TUNNEL_ID=redacted
CF_DOMAIN=test.com

# NocoDB Configuration
NOCODB_PORT=8090
NOCODB_JWT_SECRET=G+bgOQAW8CtcFaNGGLOlNI+Yt3y4j08f
NOCODB_DB_NAME=nocodb
NOCODB_DB_USER=noco
NOCODB_DB_PASSWORD=puStVPzzH8HK5wi5KefK

# OpenWebUI Configuration
OPEN_WEBUI_PORT=3005
OPEN_WEBUI_URL=https://open-webui.test.com

# N8N Configuration
N8N_PORT=5678
N8N_HOST=n8n.test.com
N8N_ENCRYPTION_KEY=PtiJxEiaCkGoKkbNjqrddo0gWTW/RYGC
N8N_USER_EMAIL=admin@thebunkerops.ca
N8N_USER_PASSWORD=@thebunker
GENERIC_TIMEZONE=UTC

# ConvertX Configuration
CONVERTX_PORT=3100
CONVERTX_JWT_SECRET=BNOqzXdgchufkbsBA+s8NTHuRJcIVfOha0dSyQZz45o6ym/X

# Rocket.Chat Configuration
ROCKETCHAT_IMAGE=registry.rocket.chat/rocketchat/rocket.chat
ROCKETCHAT_RELEASE=latest
ROCKETCHAT_PORT=3004
ROCKETCHAT_CONTAINER_PORT=3000
ROCKETCHAT_ROOT_URL=https://rocket.test.com
ROCKETCHAT_DEPLOYMENT_ENVIRONMENT=production
ROCKETCHAT_MONGODB_VERSION=6.0
ROCKETCHAT_MONGODB_HOST=mongodb-rocketchat
ROCKETCHAT_MONGODB_PORT=27017
ROCKETCHAT_MONGODB_DATABASE=rocketchat
ROCKETCHAT_MONGODB_REPLICA_SET=rs0
ROCKETCHAT_MONGODB_ENABLE_JOURNAL=true
ROCKETCHAT_MONGODB_ALLOW_EMPTY_PASSWORD=yes

# Additional Configuration
